Stencyl 3.4.0 is now out. Get it now!

[IOS/Android] Heyzap advertising (Interstitial & Rewarded Video) 2.9.1

robinschaafsma

  • *
  • Posts: 646
I need logs from Xcode when crash happens. (You can just delete haxe in Xcode to get it to work see also https://github.com/byrobingames/tapdaq/wiki/iOS:-Publish-ipa-with-Xcode)

And again don't put blocks right after initialize block,  wait a couple of seconde to call load the ad.
Did you put your AppLovin SDKkey inside the include.xml file?

Did you also try to clean project after download.
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



robinschaafsma

  • *
  • Posts: 646
UPDATE

-2.9.1(2017-05-16)
-Update SDK to iOS: 9.10.1 Android: 9.10.1,
-Tested for Stencyl 3.5,
-Required byRobin Toolset Extension Manager

If you already download this extension from my store, login to your account on the store and re-download the extension

« Last Edit: May 16, 2017, 03:54:30 pm by robinschaafsma »
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



suitcasenuke

  • *
  • Posts: 99
Hey Robin! Just a quick note about using the Vungle extension within a Heyzap. When you close the odd ad, the screen remains black and the game doesn't return. Like I said, it doesn't happen all the time, just on certain ads.

Hey Robin!
I've just recently downloaded the latest HeyZap extension (2.9.1) as well as the ByRobin Toolset Manger (1.4). I have stencyl 3.4 installed and I keep getting these errors (image attached), followed by a series of errors about missing blocks.

This errors has only recently come up since installing the new HeyZap extension.

Please Help,

Cheers

robinschaafsma

  • *
  • Posts: 646
Hey Robin!
I've just recently downloaded the latest HeyZap extension (2.9.1) as well as the ByRobin Toolset Manger (1.4). I have stencyl 3.4 installed and I keep getting these errors (image attached), followed by a series of errors about missing blocks.

This errors has only recently come up since installing the new HeyZap extension.

Please Help,

Cheers
Can you post your logs, thanks
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



Hey Robin!
I've just recently downloaded the latest HeyZap extension (2.9.1) as well as the ByRobin Toolset Manger (1.4). I have stencyl 3.4 installed and I keep getting these errors (image attached), followed by a series of errors about missing blocks.

This errors has only recently come up since installing the new HeyZap extension.

Please Help,

Cheers
Can you post your logs, thanks

Of course! Here you are. Hopefully this helps

robinschaafsma

  • *
  • Posts: 646
Hey Robin!
I've just recently downloaded the latest HeyZap extension (2.9.1) as well as the ByRobin Toolset Manger (1.4). I have stencyl 3.4 installed and I keep getting these errors (image attached), followed by a series of errors about missing blocks.

This errors has only recently come up since installing the new HeyZap extension.

Please Help,

Cheers
Can you post your logs, thanks

Of course! Here you are. Hopefully this helps
What i can see in the logs is that you don't have the byrobin toolset extension installed, only the byrobin engine-extension is installed.

Make sure you have both below extenions installed and enabled.:
- Byrobin Engine Extension 1.4 (http://community.stencyl.com/index.php/topic,47150.0.html)
- Byrobin Toolset Extension 3 (http://community.stencyl.com/index.php/topic,51498.0.html)

And of course the Heyzap extension.
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



Hey Robin!
I've just recently downloaded the latest HeyZap extension (2.9.1) as well as the ByRobin Toolset Manger (1.4). I have stencyl 3.4 installed and I keep getting these errors (image attached), followed by a series of errors about missing blocks.

This errors has only recently come up since installing the new HeyZap extension.

Please Help,

Cheers
Can you post your logs, thanks

Of course! Here you are. Hopefully this helps
What i can see in the logs is that you don't have the byrobin toolset extension installed, only the byrobin engine-extension is installed.

Make sure you have both below extenions installed and enabled.:
- Byrobin Engine Extension 1.4 (http://community.stencyl.com/index.php/topic,47150.0.html)
- Byrobin Toolset Extension 3 (http://community.stencyl.com/index.php/topic,51498.0.html)

And of course the Heyzap extension.

Strange, i thought I did have it installed. I installed it via the Extension settings in Stencyl.
Either way, I'll try that when I get home today :)

I tried installing the Toolset but it didn't seem to recognize the file.

I downloaded the toolset.zip file off of the website you had provided (even downloaded both to test it).

I then tried to install it via the 'Install Extension...' button inside of Stencyl, but it did not seem to do anything when I tried to install it.
So I tried the other way and pasted the Toolset folder into the Stencyl_Extensions folder, but still no luck.

When downloading the toolset Extension Manager zip folder, there appeared to be another Zip folder within that, plus the java file.  I extracted that one as well and there appeared to be yet another folder with the Java Executable within that.
I tried installing all alternative options, but still no luck.

Here are screenshots of my extensions, and the file that I had downloaded within the Extension Directory.

colburt187

  • *
  • Posts: 2023
The toolset extension is not the same as the engine extensions. It goes in the extension folder, not the engine extension folder where you currently have it.

Ok cool. So it doesn't seem to throw that same error anymore, but it looks like a new one has appeared.

Hopefully this one is an easy fix as well xD

Cheers

robinschaafsma

  • *
  • Posts: 646
Ok cool. So it doesn't seem to throw that same error anymore, but it looks like a new one has appeared.

Hopefully this one is an easy fix as well xD

Cheers

You have Multiple dex files, this happens sometimes after an update of an extension like Heyzap. Old jar files were not delete after the update.
So to fix this properly,
1) delete the heyzap extension folder from ../stencylworks/engine-extensions 
2) Extract the heyzap-master.zip inside ../stencylworks/engine-extensions 

Do the same for Vungle, you have Vungle version 0.0.3, update to 0.0.5 by delete vungle folder inside ../stencylworks/engine-extensions and extract vungle.zip inside it again.

Run clean project and try to compile
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



Awesome! I'll try that again tonight. As for the Vungle, since I purchased v0.0.3, would I also have to purchase 0.0.5, or would it download for free for me (as an update)?

Cheers,

robinschaafsma

  • *
  • Posts: 646
Awesome! I'll try that again tonight. As for the Vungle, since I purchased v0.0.3, would I also have to purchase 0.0.5, or would it download for free for me (as an update)?

Cheers,
If you already purchases, just log in on my store to download 0.0.5. You don't have to purchases again.
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



Ok cool. Got it :D

So I have followed what you have said, and It has come up with another error :S

Looks like it might be the same one, but I'm not sure. Still saying 'Dexer' amongst  the errors.

« Last Edit: September 20, 2017, 01:51:58 am by JuicyBeetleGames »